> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Safe Wallet Transactions

> Fetches token transfer history for a legacy Safe wallet via the Alchemy RPC API using the org token.

Required scope: `wallets:read`

## OpenAPI

````yaml api-reference/openapi.json POST /tga/get-safe-wallet-transactions
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /tga/get-safe-wallet-transactions:
    post:
      operationId: getSafeWalletTransactions
      summary: Get Safe Wallet Transactions
      x-toku-required-scope: wallets:read
      description: >-
        Fetches token transfer history for a legacy Safe wallet via the Alchemy
        RPC API using the org token.


        Required scope: `wallets:read`
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetSafeWalletTransactionsRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetSafeWalletTransactionsResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetSafeWalletTransactionsRequest:
      type: object
      properties:
        orgID:
          type: string
          format: uuid
        safeWalletID:
          type: string
          format: uuid
        cursor:
          type: object
          properties:
            safeWalletID:
              type: string
              format: uuid
          required:
            - safeWalletID
        limit:
          type: integer
          minimum: 1
          maximum: 20
    GetSafeWalletTransactionsResponse:
      type: object
      properties:
        success:
          type: boolean
        message:
          type: string
        transactions:
          type: array
          items:
            type: object
            properties:
              type:
                type: string
                enum:
                  - received
                  - sent
              amount:
                type: string
              symbol:
                type: string
              tokenAddress:
                type: string
              executionDate:
                type: string
              party:
                type: string
              txHash:
                type: string
              network:
                type: string
            required:
              - type
              - amount
              - symbol
              - executionDate
              - party
        totalTransactionsCounts:
          type: number
      required:
        - success
        - transactions
        - totalTransactionsCounts
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
